package com.nantian.cloud.jljc.service;

import com.nantian.cloud.jljc.entity.TReportRateprogress;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

/**
 * 报表1-4进度节能量目标完成情况表 服务类
 * @since 2020-09-16
 * @author hzh
 */
public interface TReportRateprogressService extends IService<TReportRateprogress> {

    boolean saveOrUpdates(TReportRateprogress tReportRateprogress);

    Double getEnergyProgress(String enterpriseCode, String year, int pYear);

    Double getUnitEnergyProgress(String enterpriseCode, String year, int pYear);
}
